sunglass/sunglass/glassapp/urls.py
from django.urls import path
from glassapp import views
from django.views.generic import TemplateView
# from .views import ContactCreateView




app_name = 'glassapp'

urlpatterns = [
    path('home/', views.Home.as_view(), name='home'),
    path('about/', views.About.as_view(), name='about'),
    path('our-glasses/', views.Glasses.as_view(), name='glasses'),
    path('shop/', views.Shop.as_view(), name='shop'),
    path('contact/', views.ContactFormView.as_view(), name='contact'),
    path('signup/', views.SignUp.as_view(), name='signup'),
    path('login/', views.Loginview.as_view(), name='login'),
    path('logout/', views.Logout.as_view(), name='logout'),
    path('detail/<slug:slug>/', views.DetailView.as_view(), name='detail'),

]

sunglass/sunglass/sunglass/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('glassapp.urls')),
]+ static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

sunglass/sunglass/glassapp/models.py
from django.db import models
from django.contrib.auth.models import AbstractBaseUser, PermissionsMixin

from django.contrib.auth.base_user import BaseUserManager
from django_extensions.db.models import TimeStampedModel
from django import forms
from django.contrib import admin
from glassapp.roles import ROLES


class CustomUserManager(BaseUserManager):

    def create_user(self, email, password=None, **extra_fields):

        if not email:
            raise ValueError('The Email must be set')
        email = self.normalize_email(email)
        user = self.model(email=email, **extra_fields)
        user.set_password(password)
        user.save(using=self._db)
        return user

    def create_superuser(self, email, password, **extra_fields):

        extra_fields.setdefault('is_staff', True)
        extra_fields.setdefault('is_superuser', True)
        extra_fields.setdefault('is_active', True)

        if extra_fields.get('is_staff') is not True:
            raise ValueError('Superuser must have is_staff=True.')
        if extra_fields.get('is_superuser') is not True:
            raise ValueError('Superuser must have is_superuser=True.')
        return self.create_user(email, password, **extra_fields)


class User(AbstractBaseUser, PermissionsMixin):

    email = models.EmailField(max_length=255, unique=True)
    first_name = models.CharField(max_length=50, null=False, blank=False)
    last_name = models.CharField(max_length=20, null=True, blank=True)
    age = models.CharField(max_length=30, null=True, blank=True)
    # organisation = models.ManyToManyField('Organisation')
    # role = models.CharField(max_length=50, null=True, blank=True, choices=ROLES, unique=True)
    is_staff = models.BooleanField(default=False)
    is_active = models.BooleanField(default=True)
    is_superuser = models.BooleanField(default=False)

    objects = CustomUserManager()

    USERNAME_FIELD = 'email'
    REQUIRED_FIELDS = ['first_name', 'last_name']



# def user_directory_path(instance, filename):
#     return 'glassapp_{}/{}'.format(instance, filename)


class Image(models.Model):
    images = models.ImageField(upload_to='media/')
    price = models.CharField(max_length=100)
    description = models.TextField(null=True, max_length=1000)

    class Meta:

        verbose_name = "Pic"
        ordering = ["-images", "description", "price"]

    def __str__(self):
        return self.description


class Contact(models.Model):
    Name = models.CharField(max_length=100, null=True, blank=True)
    Phone_Number = models.CharField(max_length=15, null=True, blank=True)
    Email = models.EmailField(max_length=100, null=True, blank=True)
    Message = models.CharField(max_length=150, null=True, blank=True)

    class Meta:
        verbose_name_plural = "ContactUs"
        verbose_name = "ContactUs"
        ordering = ["Name", "Phone_Number", "Email", "Message"]

    def __str__(self):
        return self.Name


class Organisation(TimeStampedModel):
    name = models.CharField(max_length=30, null=False, blank=False)
    city = models.CharField(max_length=20, null=False, blank=False)

    # users = models.ManyToManyField(
    #     'User.User',
    #     through='OrganisationUser',
    #     related_name='userr',
    #     blank=True
    # )
    # organisation = models.ManyToManyField(
    #     'Organisation',
    #     through='OrganisationUser',
    #     related_name='Org',
    #     blank=True
    # )


    class Meta:
        verbose_name = "Organisation"
        verbose_name_plural = "Organisation"

    def __str__(self):
        return self.name


# class Users(TimeStampedModel):
#
#     first_name = models.CharField(max_length=50, null=False, blank=False)
#     last_name = models.CharField(max_length=20, null=True, blank=True)
#     age = models.CharField(max_length=30, null=True, blank=True)
#     organisation = models.ManyToManyField(Organisation)
#     role = models.CharField(max_length=50, null=True, blank=True, choices=ROLES, unique=True)
#
#     # username = models.CharField(max_length=30, unique=True)
#
#     class Meta:
#             verbose_name = "User"
#             verbose_name_plural = "User"
#
    # def __str__(self):
    #     return self.first_name

class OrganisationUser(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    organisation = models.ForeignKey(Organisation, on_delete=models.CASCADE)
    role = models.CharField(max_length=50, null=True, blank=True, choices=ROLES, unique=True)

    class Meta:
        verbose_name = "OrgUser"

    def __str__(self):
            return self.user.first_name + ' in ' + self.organisation.name + ' as a ' + self.role

    @property
    def usercount(self):
        return User.objects.filter(organisation__user=self.user).count()

sunglass/sunglass/glassapp/forms.py
from django import forms
from glassapp import models
from django.forms import ModelForm
from .models import Contact
from django import forms
from django.core import validators


class CreateForm(forms.ModelForm):
    email = forms.EmailField()

    class Meta:
        model = models.User
        fields = '__all__'


class ContactCreateForm(forms.Form):
    Name = forms.CharField(max_length=255)
    Phone_Number = forms.CharField(max_length=255)
    Email = forms.EmailField(max_length=100)
    Message = forms.CharField(max_length=150)

    # class Meta:
    #     model = models.Contact
    #     fields = '__all__'

    # def save(self):
    #     pass


# class ValidationError:
#     pass

sunglass/sunglass/glassapp/views.py
from django.contrib import messages
from django.contrib.auth import authenticate, logout, login
# from django.http import JsonResponse
from django.http import HttpResponseRedirect
from django.shortcuts import render, redirect
from django.template import context
from django.urls import reverse_lazy
from django.views import generic
from django.views.generic import FormView, CreateView
from django.views.generic import TemplateView
from django.views.generic.base import View
from .forms import ContactCreateForm
from glassapp import models, forms




# from django.contrib.auth.views import LoginView, SuccessURLAllowedHostsMixin


# def home(request):
#     queryset = models.Image.objects.all()
#     return render(request, "index.html", {'queryset': queryset})

# def about(request):
#     return render(request, "about.html")


# def glasses(request):
#     queryset = models.Image.objects.all()
#     return render(request, "glasses.html", {'queryset': queryset})

# class Glasses(View):
#     def get(self, request):
#         return render(request, "glasses.html")


# def form_valid(self, form):
    #     """If the form is valid, save the associated model."""
    #     self.object = form.save()
    # return JsonResponse({'message'})
    # def __init__(self, **kwargs):
    #     super().__init__(**kwargs)
    #     self.POST = None
    #     self.method = None
    # #
    # def contact(request):
    #     if request.method == 'POST':
    #         name = request.POST['Name']
    #         phone_no = request.POST['Phone Number']
    #         email = request.POST['Email']
    #         message = request.POST['Message']
    #         print(name, phone_no, email, message)
    #     return render(request, "contact.html")

# def contact(request):
    #     if request.method =='POST':
    #         name = request.POST['Name']
    #         phone_no = request.POST['Phone Number']
    #         email = request.POST['Email']
    #         message = request.POST['Message']
    #         contact= Contact(name=name, phone_no=phone_no, email=email, message=message)
    #         contact.save()
    #
    #         return redirect('glassapp:home')
    #
    #     return render(request, "contact.html")


# def shop(request):
#     return render(request, "shop.html")
#
# class Shop(View):
#     def get(self, request):
#         return render(request, "shop.html")


# def contact(request):
#     return render(request, "contact.html")

# class Contact(View):
#     def get(self, request):
#         return render(request, "contact.html")


# def signup(request):
#     if request.method == 'POST':
#         first_name = request.POST['first_name']
#         last_name = request.POST['last_name']
#         password = request.POST['password']
#         password2 = request.POST['password2']
#         email = request.POST['email']
#         user = models.User.objects.filter(email=email)
#         if user:
#             mess = "user already exists"
#             return HttpResponse(mess)
#         else:
#             if password == password2:
#                 data = {
#                     'first_name': first_name,
#                     'last_name': last_name,
#                     'email': email,
#                 }
#
#                 user = models.User.objects.create(**data)
#                 user.set_password(password)
#                 user.is_active = True
#                 user.save()
#                 return redirect('/')
#             return HttpResponse("Password is not matching.......")
#     return render(request, 'register.html')

# class signup(generic.CreateView):

# user registeration


#
# class LoginView(View):
#
#     # def get(self, request):
#     #    return render(request, 'login.html')
#
#     def post(self, request):
#         data = request.POST
#         email = data.get('email', None)
#         password = request.POST['password']
#
#         user = authenticate(email=email, password=password)
#
#         if user:
#             login(request, user)
#             return redirect('glassapp:home')
#         # messages.info(request, "invalid credentials")
#         return redirect('glassapp:home')

# class LoginView(generic.View):
#     def post(self, request):
#         email = request.POST['email']
#         password = request.POST['password']
#         user = authenticate(email=email, password=password)
#
#         if user is not None:
#             if user.is_active:
#                 login(request, user)
#                 return redirect('glassapp:home')
#         messages.info(request, "invalid credentials")
#         return redirect('glassapp:home')

# class LoginPageView(LoginView):
#     template_name = 'login.html'
#     success_url = reverse_lazy('glassapp:glasses')


#     """
#     Log out the user and display the 'You are logged out' message.
#     """
#     next_page = None
#     redirect_field_name = REDIRECT_FIELD_NAME
#     template_name = ''
#     extra_context = None

# def log_out(request):
#     logout(request)
#     return redirect('glassapp:home')

# username = request.POST['username']
# password = request.POST['password']
# user = authenticate(username=username, password=password)
#
# if user is not None:
#     dj_login(request, user)
#     return redirect('glassapp:home')
#
# else:
#     return HttpResponse("User doesn't exists")
#     # return render(request, 'login.html')


# def loginView(request):
#     if request.method == 'POST':
#         # data = request.POST
#         email = request.POST['email']
#         password = request.POST['password']
#         user = authenticate(request, email=email, password=password)
#         if user is not None:
#             dj_login(request, user)
#             return redirect('glassapp:home')
#             # return HttpResponse("User is inactive")
#         else:
#             return HttpResponse("User doesn't exists")
#     return render(request, 'login.html')

# def contact(request, user=None):
#     if request.method == 'POST':
#         name = request.POST['name']
#         phone_no = request.POST['phone_no']
#         email = request.POST['email']
#         message = request.POST['message']
#         user.save()
# print(contact(request, user=))


# def get(self, request, *args, **kwargs):
    #     context = {'form': ContactCreateForm()}
    #     return render(request, 'contact.html', context)



    # def post(self, request, *args, **kwargs):
    #     form = ContactCreateForm(request.POST)
    #     if form.is_valid():
    #         contact = form.save()
    #         contact.save()
    #         return HttpResponseRedirect(reverse_lazy('glassapp:contact', args=[contact.name]))
    #     return render(request, 'contact.html', {'form': form})




    # def form_valid(self, form):
    #     form.save()
    #
    #     def contact(request):
    #         if request.method == 'POST':
    #             name = request.POST['Name']
    #             phone_no = request.POST['Phone Number']
    #             email = request.POST['Email']
    #             message = request.POST['Message']
    #             contact = Contact(name=name, phone_no=phone_no, email=email, message=message)
    #             contact.save()
    #             return super(ContactUs, self).form_valid(form)


from glassapp.forms import ContactCreateForm
from glassapp.models import Contact


class Home(TemplateView):
    template_name = "index.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['queryset'] = models.Image.objects.all()
        return context


class About(TemplateView):
    template_name = "about.html"
    # def get(self, request):
    #     return render(request, "about.html")




class Glasses(TemplateView):
    template_name = "glasses.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['queryset'] = models.Image.objects.all()
        return context


class Shop(TemplateView):
    template_name = "shop.html"


class ContactFormView(FormView):
    template_name = "contact.html"
    success_url = "contact.html"

    def get(self, request, *args, **kwargs):
        print('hi')
        return render(request, 'contact.html')

    def post(self, request, *args, **kwargs):

        if request.method == 'POST':
            form = ContactCreateForm(request.POST)
            if form.is_valid():
                Name = form.cleaned_data['Name']
                Phone_Number = form.cleaned_data['Phone_Number']
                Email = form.cleaned_data['Email']
                Message = form.cleaned_data['Message']

                # if Name != Name.isalpha():
                #     message1 = "name should be in string format"
                #     context = {'message': message1}
                #     return render(request, 'contact.html', context)
                #
                # if len(str(Phone_Number)) > 13:
                #     message = "Incorrect Phone number"
                #     context = {'message': message}
                #     return render(request, 'contact.html', context)
                #
                # if Phone_Number != Phone_Number.isdigit():
                #     message = "phone should be in numbers"
                #     context = {'message': message}
                #     return render(request, 'contact.html', context)



                contact = Contact(Name=Name, Phone_Number=Phone_Number, Email=Email, Message=Message)
                contact.save()

            return render(request, 'index.html')




# form_class = forms.ContactCreateForm
    # # queryset = ContactCreateForm.objects.all()
    # model = models.Contact
# def formview(request):
#     contactform = ContactCreateForm()
#     return redirect(request, "contact.html", {'form':contactform})


# class ContactFormView(FormView):
#     template_name = 'contact.html'
#     success_url = reverse_lazy('glassapp:contact')
#     form_class = ContactCreateForm
#

sunglass/sunglass/templates/about.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
<!DOCTYPE html>
<html lang="en">
   <head>
      <!-- basic -->
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <!-- mobile metas -->
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="viewport" content="initial-scale=1, maximum-scale=1">
      <!-- site metas -->
      <title>sungla</title>
      <meta name="keywords" content="">
      <meta name="description" content="">
      <meta name="author" content="">
      <!-- bootstrap css -->
      <link rel="stylesheet" href="{% static "css/bootstrap.min.css" %}">
      <!-- style css -->
      <link rel="stylesheet" href="{% static "css/style.css" %}">
      <!-- Responsive-->
      <link rel="stylesheet" href="{% static "css/responsive.css" %}">
      <!-- fevicon -->
      <link rel="icon" href="{% static "images/fevicon.png" type="image/gif" %}" />
      <!-- Scrollbar Custom CSS -->
      <link rel="stylesheet" href="{% static "css/jquery.mCustomScrollbar.min.css" %}">
      <!-- Tweaks for older IEs-->
      <link rel="stylesheet" href="https://netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css">
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.min.css" media="screen">
      <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script><![endif]-->
   </head>
   <!-- body -->
   <body class="main-layout position_head">

      <!-- header -->
{#      <header>#}
{#         <!-- header inner -->#}
{#         <div class="header">#}
{#            <div class="container-fluid">#}
{#               <div class="row">#}
{#                  <div class="col-xl-3 col-lg-3 col-md-3 col-sm-3 col logo_section">#}
{#                     <div class="full">#}
{#                        <div class="center-desk">#}
{#                           <div class="logo">#}
{#                              <a href="index.html"><img src="images/logo.png" alt="#" /></a>#}
{#                           </div>#}
{#                        </div>#}
{#                     </div>#}
{#                  </div>#}
{#                  <div class="col-xl-9 col-lg-9 col-md-9 col-sm-9">#}
{#                     <nav class="navigation navbar navbar-expand-md navbar-dark ">#}
{#                        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExample04" aria-controls="navbarsExample04" aria-expanded="false" aria-label="Toggle navigation">#}
{#                        <span class="navbar-toggler-icon"></span>#}
{#                        </button>#}
{#                        <div class="collapse navbar-collapse" id="navbarsExample04">#}
{#                           <ul class="navbar-nav mr-auto">#}
{#                              <li class="nav-item ">#}
{#                                 <a class="nav-link" href="index.html">Home</a>#}
{#                              </li>#}
{#                              <li class="nav-item active">#}
{#                                 <a class="nav-link" href="about.html">About</a>#}
{#                              </li>#}
{#                              <li class="nav-item">#}
{#                                 <a class="nav-link" href="glasses.html">Our Glasses</a>#}
{#                              </li>#}
{#                              <li class="nav-item">#}
{#                                 <a class="nav-link" href="shop.html">Shop</a>#}
{#                              </li>#}
{#                              <li class="nav-item">#}
{#                                 <a class="nav-link" href="contact.html">Contact Us</a>#}
{#                              </li>#}
{#                              <li class="nav-item d_none login_btn">#}
{#                                 <a class="nav-link" href="#">Login</a>#}
{#                              </li>#}
{#                              <li class="nav-item d_none">#}
{#                                 <a class="nav-link" href="#">Register</a>#}
{#                              </li>#}
{#                              <li class="nav-item d_none sea_icon">#}
{#                                 <a class="nav-link" href="#"><i class="fa fa-shopping-bag" aria-hidden="true"></i><i class="fa fa-search" aria-hidden="true"></i></a>#}
{#                              </li>#}
{#                           </ul>#}
{#                        </div>#}
{#                     </nav>#}
{#                  </div>#}
{#               </div>#}
{#            </div>#}
{#         </div>#}
{#      </header>#}
      <!-- end header inner -->
      <!-- end header -->
      <!-- about section -->
      <div class="about">
         <div class="container">
            <div class="row d_flex">
               <div class="col-md-5">
                  <div class="about_img">
                     <figure><img src="{{ q.images.url }}" alt="#"/></figure>
                  </div>
               </div>
               <div class="col-md-7">
                  <div class="titlepage">
                     <h2>About Our Shop</h2>
                     <p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don't look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn't anything embarrassing hidden in the middle of text.</p>
                  </div>
                  <a class="read_more" href="#">Read More</a>
               </div>
            </div>
         </div>
      </div>
      <!-- about section -->
      <!--  footer -->
{#      <footer>#}
{#         <div class="footer">#}
{#            <div class="container">#}
{#               <div class="row">#}
{#                  <div class="col-md-8 offset-md-2">#}
{#                     <ul class="location_icon">#}
{#                        <li><a href="#"><i class="fa fa-map-marker" aria-hidden="true"></i></a><br> Location</li>#}
{#                        <li><a href="#"><i class="fa fa-phone" aria-hidden="true"></i></a><br> +01 1234567890</li>#}
{#                        <li><a href="#"><i class="fa fa-envelope" aria-hidden="true"></i></a><br> demo@gmail.com</li>#}
{#                     </ul>#}
{#                  </div>#}
{#               </div>#}
{#            </div>#}
{#            <div class="copyright">#}
{#               <div class="container">#}
{#                  <div class="row">#}
{#                     <div class="col-md-12">#}
{#                        <p>© 2019 All Rights Reserved. Design by<a href="https://html.design/"> Free Html Templates</a></p>#}
{#                     </div>#}
{#                  </div>#}
{#               </div>#}
{#            </div>#}
{#         </div>#}
{#      </footer>#}
{#      <!-- end footer -->#}
      <!-- Javascript files-->
      <script src="js/jquery.min.js"></script>
      <script src="js/popper.min.js"></script>
      <script src="js/bootstrap.bundle.min.js"></script>
      <script src="js/jquery-3.0.0.min.js"></script>
      <!-- sidebar -->
      <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
      <script src="js/custom.js"></script>
   </body>
</html>
{% endblock %}

sunglass/sunglass/templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
  <!-- basic -->
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <!-- mobile metas -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="initial-scale=1, maximum-scale=1">
  <!-- site metas -->
  <title>sunglass</title>
  <meta name="keywords" content="">
  <meta name="description" content="">
  <meta name="author" content="">
  <!-- bootstrap css -->
  <link href="{% static 'css/bootstrap.min.css' %}" rel="stylesheet">
  <!-- style css -->
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  <!-- Responsive-->
  <link rel="stylesheet" href="{% static 'css/responsive.css' %}">
  <!-- fevicon -->
  <link rel="icon" href="{% static 'images/fevicon.png' %}" type="image/gif" />
  <!-- Scrollbar Custom CSS -->
  <link rel="stylesheet" href="{% static 'css/jquery.mCustomScrollbar.min.css' %}">
  <!-- Tweaks for older IEs-->
  <link rel="stylesheet" href="https://netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.min.css" media="screen">
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script><![endif]-->
</head>

<body>
{% include 'header.html' %}

{% block content %}


{% endblock %}

{% include 'footer.html' %}



<script src="{% static "js/jquery.min.js" %}"></script>
<script src="{% static "js/popper.min.js" %}"></script>
<script src="{% static "js/bootstrap.bundle.min.js" %}"></script>
<script src="{% static "js/jquery-3.0.0.min.js" %}"></script>
<!-- sidebar -->
<script src="{% static "js/jquery.mCustomScrollbar.concat.min.js" %}"></script>
<script src="{% static "js/custom.js" %}"></script>
<script>
 // This example adds a marker to indicate the position of Bondi Beach in Sydney,
 // Australia.
 function initMap() {
   var map = new google.maps.Map(document.getElementById('map'), {
     zoom: 11,
     center: {lat: 40.645037, lng: -73.880224},
     });

 var image = 'images/maps-and-flags.png';
 var beachMarker = new google.maps.Marker({
     position: {lat: 40.645037, lng: -73.880224},
     map: map,
     icon: image
   });
 }
</script>
<!-- google map js -->
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyA8eaHt9Dh5H57Zh0xVTqxVdBFCvFMqFjQ&callback=initMap"></script>
<!-- end google map js -->

</body>
</html>

sunglass/sunglass/templates/header.html
{% load static %}
 <header>
         <!-- header inner -->
     <div class="header">
        <div class="container-fluid">
           <div class="row">
              <div class="col-xl-3 col-lg-3 col-md-3 col-sm-3 col logo_section">
                 <div class="full">
                    <div class="center-desk">
                       <div class="logo">
                          <a href="/"><img src="/static/images/logo.png" alt="#" /></a>
                       </div>
                    </div>
                 </div>
              </div>
              <div class="col-xl-9 col-lg-9 col-md-9 col-sm-9">
                 <nav class="navigation navbar navbar-expand-md navbar-dark ">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExample04" aria-controls="navbarsExample04" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarsExample04">
                       <ul class="navbar-nav mr-auto">
                          <li class="nav-item {% if request.path == '/' %} active {% endif %}">
                             <a class="nav-link" href="/home">Home</a>
                          </li>
                          <li class="nav-item {% if request.path == '/about/' %} active {% endif %}">
                             <a class="nav-link" href="/about">About</a>
                          </li>
                          <li class="nav-item {% if request.path == '/our-glasses/' %} active {% endif %}">
                             <a class="nav-link" href="/our-glasses">Our Glasses</a>
                          </li>
                          <li class="nav-item {% if request.path == '/shop/' %} active {% endif %}">
                              <a class="nav-link" href="/shop">Shop</a>
                          </li>

                          <li class="nav-item {% if request.path == '/detail/' %} active {% endif %}">
                              <a class="nav-link" href="/detail">Detail</a>
                          </li>
                          <li class="nav-item {% if request.path == '/contact-us/' %} active {% endif %}">
                             <a class="nav-link" href="/contact-us">Contact Us</a>
                          </li>
                         {% if user.is_authenticated %}
                             <li class="nav-item">
                                    <a class="nav-link" href="">{{ user }}</a>
                              </li>
                              <li class="nav-item">
                                    <a class="nav-link" href="{% url 'glassapp:logout' %}">Logout</a>
                              </li>
                                {% else %}
                                      <li class="nav-item">
                                      <a class="nav-link" href="{% url 'glassapp:signup' %}">Register</a>
                                      </li>

                                      <li class="nav-item">
                                      <a class="nav-link" href="{% url 'glassapp:login' %}">Login</a>
                                      </li>
                         {% endif %}
                       </ul>
                    </div>
                 </nav>
              </div>
           </div>
        </div>
     </div>
 </header>

sunglass/sunglass/templates/login.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
   <head>
      <!-- basic -->
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <!-- mobile metas -->
      <meta name="viewport" content="width=device-width, initial-scale=1">
   </head>
    <body>
        <form action="{% url 'glassapp:login' %}" method="POST">
        {% csrf_token %}
           <input type="text" name="email" placeholder="email"><br>
           <input type="password" name="password" placeholder="Password"><br>
           <input type="Submit">
        </form>
    </body>
</html>

sunglass/sunglass/templates/register.html
<!DOCTYPE html>
<html lang="en">
   <head>
      <!-- basic -->
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
   </head>
<body>
   <form action="{% url 'glassapp:signup' %}" method="post">
       {% csrf_token %}
       <input type="text" name="first_name" placeholder="First Name"><br>
       <input type="text" name="last_name" placeholder="Last Name"><br>
       <input type="text" name="email" placeholder="email"><br>
       <input type="password" name="password" placeholder="Password"><br>
       <input type="password" name="password2" placeholder="Password2"><br>
       <button type="submit">click</button>

   </form>
</body>
</html>